Bug 219435 - installer wil not install a correct kernel
installer wil not install a correct kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 21:00 EST by richard hummel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 11:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description richard hummel 2006-12-12 21:00:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.11) Gecko/20050728

Description of problem:
Hi,

FC6 will not install a workable kernel. My laptop is a Thinkpad R51, whoes processor doesn't support PAE. The installer doesn't afford the installer the ability to change the installed kernel nor does it perform a basic compatibility check, and so always installs the XEN kernel. Needless to say, my PAE-less machine won't boot. 

I have tried to boot using the emergency disk, mounting the install disk and use rpm and yum to  install a non-XEN kernel, but , both programs simply lock up.

Sin,
Richard

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Install
2.Reboot
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Jeremy Katz 2006-12-15 11:26:25 EST
The xen kernel gets installed if you install the virt group; we had a hack to
not enable the virt group if your system didn't support pae, but that got broken
at the last minute.  This won't be a problem in the future.
Comment 2 richard hummel 2006-12-15 15:24:21 EST
(In reply to comment #1)
> The xen kernel gets installed if you install the virt group; we had a hack to
> not enable the virt group if your system didn't support pae, but that got 
broken
> at the last minute.  This won't be a problem in the future.

Jeremy,

Thanks for your hard work! LOL, now how about a Techi to English 
translation:-) What does "virt group" mean and what do I do? 
Shall I wait for the next install DVD iso? If so, when might
that happen?

Sin,
Richard Hummel

Note You need to log in before you can comment on or make changes to this bug.